=head1 NAME

Gtk2::ImageView::Anim -  Subclass of Gtk2::ImageView capable of playing

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

Gtk2::ImageView::Anim is a subclass of Gtk2::ImageView that provies facilities
for displaying and controlling an animation.

=cut



=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::ImageView
                      +----Gtk2::ImageView::Anim



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut

=for object Gtk2::ImageView::Anim Subclass of Gtk2::ImageView capable of playing
GIF animations.
=cut




=head1 METHODS

=head2 widget or undef = Gtk2::ImageView::Anim-E<gt>B<new> 

Returns a new Gtk2::ImageView::Anim with the following default values:

=over

=item anim : NULL

=item is_playing : FALSE

=back


=head2 pixbufanimation or undef = $aview-E<gt>B<get_anim> 

Returns the current animation of the view.

=head2 $aview-E<gt>B<set_anim> ($anim)

=over

=item * $anim (Gtk2::Gdk::PixbufAnimation) 

=back

Sets the pixbuf animation to play, or NULL to not play any animation.

The effect of this method is analoguous to Gtk2::ImageView::set_pixbuf(). Fit
mode is reset to GTK_FIT_SIZE_IF_LARGER so that the whole area of the animation
fits in the view. Three signals are emitted, first the Gtk2::ImageView will emit
zoom-changed and then pixbuf-changed, second, Gtk2::ImageView::Anim itself will
emit anim-changed.

The default pixbuf animation is NULL.

=over

=item aview : a Gtk2::ImageView::Anim.

=item anim : A pixbuf animation to play.

=back


=head2 boolean = $aview-E<gt>B<get_is_playing> 

Returns TRUE if the animation is playing, FALSE otherwise. If there is no
current animation, this method will always return FALSE.

=head2 $aview-E<gt>B<set_is_playing> ($playing)

=over

=item * $playing (boolean) 

=back

Sets whether the animation should play or not. If there is no current animation
this method does not have any effect.

=over

=item aview : a Gtk2::ImageView::Anim.

=item playing : TRUE to play the animation, FALSE otherwise

=back


=head2 $aview-E<gt>B<step> 

Steps the animation one frame forward. If the animation is playing it will be
stopped. Will it wrap around if the animation is at its last frame?

=over

=item aview : a Gtk2::ImageView::Anim.

=back




=cut


=head1 SIGNALS

=over

=item B<step> (Gtk2::ImageView::Anim)

=item B<toggle-running> (Gtk2::ImageView::Anim)

=back



=cut


=head1 SEE ALSO

L<Gtk2::ImageView>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::ImageView>


=cut


=head1 COPYRIGHT

Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see L<Gtk2::ImageView> for a full notice.


=cut

